--- base/path_service.cc
+++ base/path_service.cc
@@ -24,7 +24,7 @@ namespace base {
   bool PathProviderWin(int key, FilePath* result);
 #elif defined(OS_MACOSX)
   bool PathProviderMac(int key, FilePath* result);
-#elif defined(OS_LINUX)
+#elif defined(OS_NIX)
   bool PathProviderLinux(int key, FilePath* result);
 #endif
 }
@@ -80,7 +80,7 @@ static Provider base_provider_mac = {
 };
 #endif
 
-#if defined(OS_LINUX)
+#if defined(OS_NIX)
 static Provider base_provider_linux = {
   base::PathProviderLinux,
   &base_provider,
@@ -104,7 +104,7 @@ struct PathData {
     providers = &base_provider_win;
 #elif defined(OS_MACOSX)
     providers = &base_provider_mac;
-#elif defined(OS_LINUX)
+#elif defined(OS_NIX)
     providers = &base_provider_linux;
 #endif
   }
diff --git base/platform_thread_posix.cc base/platform_thread_posix.cc
index 3789715..8e4934c 100644
